> ## Documentation Index
> Fetch the complete documentation index at: https://docs.extat.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Get bank account info

> view infos for specific bank account from uuid.



## OpenAPI

````yaml /openapi/extat-openapi.json get /bank-accounts/{id}
openapi: 3.0.0
info:
  contact:
    email: contato@cernedigital.io
    name: Cerne Digital
    url: https://cernedigital.io
  description: >-
    API REST da Extat Plataforma usada pelo painel web. Artefato OpenAPI 3.0
    para a documentação Mintlify (tags em PT-BR).
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: Extat Plataforma - API REST
  version: '1.0'
servers:
  - url: https://golang-api-vgnqx.ondigitalocean.app/v1
security: []
tags:
  - name: Autenticação
  - name: Bancos
  - name: Contas Bancárias
  - name: Plano e Assinaturas
  - name: Empresa
  - name: Centros de Custo
  - name: Painel
  - name: Demonstrativos
  - name: Saúde
  - name: Convites
  - name: Membros
  - name: Onboarding
  - name: Fornecedores
  - name: Usuário
paths:
  /bank-accounts/{id}:
    get:
      tags:
        - Contas Bancárias
      summary: Get bank account info
      description: view infos for specific bank account from uuid.
      parameters:
        - description: bank account uuid
          in: path
          name: id
          required: true
          schema:
            type: string
        - description: company uuid
          in: header
          name: x-company-id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dto.BankAccountResponseDTO'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponseDTO'
          description: Bad Request
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponseDTO'
          description: Not Found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/handler.ErrorResponseDTO'
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    dto.BankAccountResponseDTO:
      properties:
        account_number:
          type: string
        active:
          type: boolean
        agency:
          type: string
        alias:
          type: string
        bank:
          $ref: '#/components/schemas/dto.bank'
        created_by:
          $ref: '#/components/schemas/dto.createdBy'
        id:
          type: string
        opening_balance:
          type: number
        type:
          type: string
      type: object
    handler.ErrorResponseDTO:
      properties:
        error:
          type: string
        message:
          type: string
      type: object
    dto.bank:
      properties:
        code:
          type: string
        id:
          type: string
        label:
          type: string
      type: object
    dto.createdBy:
      properties:
        id:
          type: string
        name:
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Token da sessão no cabeçalho Authorization, no formato Bearer (mesmo
        esquema ApiKeyAuth do contrato).
      in: header
      name: Authorization
      type: apiKey

````